- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cKSplit::Iterator Class Reference

`#include <cksplit.h>`

List of all members.

## Detailed Description

Walks along cells of the distribution stored in a cKSplit object.

## Public Member Functions
| Iterator (const cKSplit &ksplit, bool atbeginning=true)
void | init (const cKSplit &ksplit, bool atbeginning=true)
void | operator++ (int)
void | operator-- (int)
bool | end () const
int | cellNumber () const
double | cellMin () const
double | cellMax () const
double | cellSize () const
double | cellValue () const

## Constructor & Destructor Documentation

cKSplit::Iterator::Iterator | ( | const cKSplit & | ksplit,
|  | bool | atbeginning = `true`
| ) |

| Constructor.

## Member Function Documentation

double cKSplit::Iterator::cellMax | ( |  | ) | const`[inline]`

| Returns the upper bound of the current cell.

double cKSplit::Iterator::cellMin | ( |  | ) | const`[inline]`

| Returns the upper lower of the current cell.

int cKSplit::Iterator::cellNumber | ( |  | ) | const`[inline]`

| Returns the index of the current cell.

double cKSplit::Iterator::cellSize | ( |  | ) | const`[inline]`

| Returns the size of the current cell.

double cKSplit::Iterator::cellValue | ( |  | ) | const

| Returns the actual amount of observations in current cell. This is not necessarily an integer value because of previous cell splits.

bool cKSplit::Iterator::end | ( |  | ) | const`[inline]`

| Returns true if the iterator has reached either end of the cell sequence.

void cKSplit::Iterator::init | ( | const cKSplit & | ksplit,
|  | bool | atbeginning = `true`
| ) |

| Reinitializes the iterator.

void cKSplit::Iterator::operator++ | ( | int |  | ) |

| Moves the iterator to the next cell.

void cKSplit::Iterator::operator-- | ( | int |  | ) |

| Moves the iterator to the previous cell.

The documentation for this class was generated from the following file:

- cksplit.h